import { auth } from "@/auth";
import SignIn from "@/components/signIn";
import { redirect } from "next/navigation";

async function SignInUp() {
  const session = await auth();

  if (session?.user) redirect("/");

  return (
    <div className="grid place-items-center h-full">
      <div>
        <SignIn />
      </div>
    </div>
  );
}

export default SignInUp;
