import { DHSecretClient } from ".";

if (!globalThis.Secrets) {
  globalThis.Secrets = new DHSecretClient(
    "https://dragonshoard.cyborggrizzly.com",
    process.env.NODE_ENV === "development"
      ? "./.dragonshoard"
      : "/.dragonshoard"
  );
}

export const SecretClient = (): DHSecretClient => globalThis.Secrets;
